Bug 1032864 - RHEL filtering behaves incorrectly
RHEL filtering behaves incorrectly
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog Listing Application (Show other bugs)
5.2
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Wei Shen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 22:59 EST by Damian Jansen
Modified: 2014-06-22 21:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:20:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-11-20 22:59:32 EST
Description of problem:
The $server/RHEL/(Vendor) filter does not work. Clicking on the checkbox for Red Hat Enterprise Linux reloads the page but still displays all items and does not remove the other products from the sidebar.

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Click on a well populated vendor on the homepage, e.g. Dell
2. Click the Red Hat Enterprise Linux checkbox in the left sidebar

Actual results:
All items are displayed

Expected results:
The RHOS and MRG items should be hidden, as well as the RHOS/MRG sidebar boxes

Additional info:
It works the other way around, i.e. clicking Red Hat OpenStack will remove all MRG and RHEL entries. Clicking on a RHEL version appears to work (e.g clicking the RHEL version 5 checkbox will remove all other entries != RHEL5)

Note You need to log in before you can comment on or make changes to this bug.